import { MetadataRoute } from 'next'

export default function sitemap(): MetadataRoute.Sitemap {
    const baseUrl = 'https://elmeg.xyz'

    const routes = [
        '',
        '/shows',
        '/songs',
        '/venues',
        '/videos',
        '/stats',
        '/shows/upcoming',
    ].map((route) => ({
        url: `${baseUrl}${route}`,
        lastModified: new Date(),
        changeFrequency: 'daily' as const,
        priority: route === '' ? 1 : 0.8,
    }))

    return routes
}
